Package Details: websocat-git 1.4.0.r0.g861eecc-1

Git Clone URL: https://aur.archlinux.org/websocat-git.git (read-only)
Package Base: websocat-git
Description: Command-line client for WebSockets
Upstream URL: https://github.com/vi/websocat
Licenses: MIT
Submitter: m3thodic
Maintainer: m3thodic
Last Packager: m3thodic
Votes: 0
Popularity: 0.000000
First Submitted: 2018-11-06 05:18
Last Updated: 2019-05-22 10:53

Required by (0)

Sources (1)

Latest Comments

m3thodic commented on 2019-02-21 01:19

@z3ntu thanks for the heads up, PKGBUILD has been updated.

z3ntu commented on 2019-02-20 15:47

Could you please also change the makedependency of rust from rustup to rust? rustup also provides "rust" so you can still continue using rustup.

m3thodic commented on 2019-01-18 20:27

@z3ntu just pushed, thanks for the feedback I appreciate it!

z3ntu commented on 2019-01-12 12:33

Suggested PKGBUILD changes:

diff --git a/PKGBUILD b/PKGBUILD
index 405e57e..e36ff60 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,30 +1,32 @@
 # Maintainer: Tony Lambiris <tony@criticalstack.com>

 pkgname=websocat-git
-pkgver=last_version_that_supports_rust_1_28.r1.g45523d8
+pkgver=1.2.0.r31.g45523d8
 pkgrel=1
 pkgdesc="Command-line client for WebSockets"
 arch=(x86_64)
 url='https://github.com/vi/websocat/'
 license=(MIT)
-makedepends=(git rustup)
+depends=(openssl)
+makedepends=(git rust)
 source=("${pkgname}::git+https://github.com/vi/websocat.git")
 sha256sums=('SKIP')

 pkgver() {
    cd "${srcdir}/${pkgname}"

-   git describe --long --tags | sed 's/\([^-]*-g\)/r\1/;s/-/./g'
+   git describe --long | sed 's/^v//;s/\([^-]*-g\)/r\1/;s/-/./g'
 }

 build() {
    cd "${srcdir}/${pkgname}"

-   cargo build --release --features=ssl
+   cargo build --release --locked --features=ssl
 }

 package() {
    cd "${srcdir}/${pkgname}"

    install -Dm755 "target/release/websocat" "${pkgdir}/usr/bin/websocat"
+   install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
 }